import { RequestOptionsFactory } from '@wix/sdk-types';
/** Retrieves the specified external database connection. */
export declare function getExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
/** Lists all of the site's external database connections of all adaptor types. */
export declare function listExternalDatabaseConnections(payload: object): RequestOptionsFactory<any>;
/**
 * Creates a new external database connection.
 *
 * Before you can establish a connection between a site and an external database, you must prepare an external database adaptor.
 */
export declare function createExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
/**
 * Updates an external database connection.
 *
 * > **Note:** After an external database connection is updated, it only contains the values provided in the request. All previous values are lost.
 */
export declare function updateExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
/**
 * Deletes an external database connection.
 *
 * > **Note:** Once an external database connection is deleted, it can't be restored. To reconnect the database, create a new external database connection.
 */
export declare function deleteExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
